Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #760 (closed defect: fixed)

Opened 13 years ago

Last modified 13 years ago

Compilation against latest rawhide kernel (2.6.17-1.2405.fc6PAE) or 2.6.18-rc2 broken

Reported by: wmealing@redhat.com Assigned to:
Priority: minor Milestone: version 0.9.2
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description (Last modified by mrenzmann)

When compiling net80211/ieee80211_linux.c (from subversion today Revision: 1686 )on current rawhide ( Tuesday, July 18 2006 ) you get the errors below.

/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c: In function 'proc_ieee80211_open':
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:377: error: implicit declaration of function 'PDE'
cc1: warnings being treated as errors
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:377: warning: initialization makes pointer from integer without a cast
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:378: error: dereferencing pointer to incomplete type
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c: In function 'ieee80211_sysctl_vattach':
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:640: error: 'proc_net' undeclared (first use in this function)
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:640: error: (Each undeclared identifier is reported only once
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:640: error: for each function it appears in.)
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:641: error: implicit declaration of function 'proc_mkdir'
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:641: warning: assignment makes pointer from integer without a cast
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:649: warning: assignment makes pointer from integer without a cast
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:660: error: implicit declaration of function 'create_proc_entry'
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:661: warning: assignment makes pointer from integer without a cast
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:662: error: dereferencing pointer to incomplete type
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:663: error: dereferencing pointer to incomplete type
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c: In function 'ieee80211_proc_vcreate':
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:732: warning: assignment makes pointer from integer without a cast
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:733: error: dereferencing pointer to incomplete type
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:734: error: dereferencing pointer to incomplete type
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c: In function 'ieee80211_sysctl_vdetach':
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:765: error: implicit declaration of function 'remove_proc_entry'
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:770: error: dereferencing pointer to incomplete type
/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.c:772: error: 'proc_net' undeclared (first use in this function)
make[3]: *** [/home/wmealing/madwifi-cvs/trunk/net80211/ieee80211_linux.o] Error 1
make[2]: *** [/home/wmealing/madwifi-cvs/trunk/net80211] Error 2
make[1]: *** [_module_/home/wmealing/madwifi-cvs/trunk] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.17-1.2405.fc6-PAE-i686'

These are because linux/proc_fs.h is missing as an include. Add this ( see patch below ) to net80211/ieee80211_linux.c and it will compile.. YAY !

--- net80211/ieee80211_linux.c.orig     2006-07-18 11:48:21.000000000 +1000
+++ net80211/ieee80211_linux.c  2006-07-18 11:50:43.000000000 +1000
@@ -44,7 +44,7 @@
 #include <linux/etherdevice.h>
 #include <linux/if_vlan.h>
 #include <linux/vmalloc.h>
-
+#include <linux/proc_fs.h> 
 #include <net/iw_handler.h>
 #include <linux/wireless.h>
 #include <linux/if_arp.h>              /* XXX for ARPHRD_* */

Signed-off-by: Wade Mealing <wmealing@gmail.com>

Attachments

proc_header.patch (385 bytes) - added by anonymous on 07/18/06 13:57:40.

Change History

07/18/06 13:57:40 changed by anonymous

  • attachment proc_header.patch added.

07/18/06 13:59:08 changed by wmealing@gmail.com

Apologies for the horrific formatting of that ticket.

07/18/06 14:04:13 changed by mrenzmann

  • description changed.

Formatting fixed :)

07/18/06 14:05:54 changed by mrenzmann

  • summary changed from Madwifi fails to compile, missing a header. to Compilation against latest rawhide kernel (2.6.17-1.2405.fc6PAE) broken.

07/21/06 09:08:04 changed by mrenzmann

  • milestone set to version 0.9.2.

07/21/06 09:32:03 changed by kelmo

  • summary changed from Compilation against latest rawhide kernel (2.6.17-1.2405.fc6PAE) broken to Compilation against latest rawhide kernel (2.6.17-1.2405.fc6PAE) or 2.6.18-rc2 broken.

07/21/06 11:00:07 changed by kelmo

  • status changed from new to closed.
  • resolution set to fixed.

Patch applied with tiny modification to r1690. Thanks.

07/22/06 15:45:37 changed by Wade Mealing

Ah yes, I should have done that :)